Subject: Re: [PATCH] pkt-line: do not report packet write errors twice

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Apr 2021 13:32:14 -0700

Matheus Tavares Bernardino <[email-masked]> writes:

> Nice! :) Maybe we could also avoid the static strings without
> repeating the literals by making `do_packet_write()` receive a `struct
> strbuf *err` and save the error message in it? Then the two callers
> can decide whether to pass it to error() or die() accordingly.

Sorry, but I do not understand what benefit we are trying to gain by
introducing an extra strbuf (which I assume is used to strbuf_add()
the error message into).  Wouldn't the caller need two messages and
flip between <error,error_errno> vs <die,die_errno> pair?